[PATCH v2 00/13] literal folder: prefix, new path: prefix
David Bremner
david at tethera.net
Wed Mar 5 03:48:29 PST 2014
Tomi Ollila <tomi.ollila at iki.fi> writes:
>
> I can contribute script with interface
>
> ./fetch-and-check.sh [--verify-only] destdir url sha256sum
>
This script is basically embedded in
http://pivot.cs.unb.ca/git?p=notmuch.git;a=commitdiff;h=f93e32b11e517e160c755355de55ab465206dc62
except that I rebased away the verification in the actual test :(
Something like
diff --git a/test/T530-upgrade.sh b/test/T530-upgrade.sh
index 3c0134f..768242d 100755
--- a/test/T530-upgrade.sh
+++ b/test/T530-upgrade.sh
@@ -5,6 +5,10 @@ test_description="database upgrade"
dbtarball=database-v1.tar.xz
+cd $TEST_DIRECTORY/test-databases
+sha256sum --quiet --check ${dbtarball}.sha256 || error "checksum of database failed"
+cd - >& /dev/null
+
tar Jxf $TEST_DIRECTORY/test-databases/${dbtarball} -C ${MAIL_DIR} --strip-component
test_begin_subtest "folder: search does not work with old database version"
More information about the notmuch
mailing list